Skip to main content
`Ctrl`+`K`

# PCReduceFailedReason

Reduce the failed reason among the MPI processes that share the `PC`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCReduceFailedReason(PC pc)

Collective

## Input Parameter

- pc - the `PC` preconditioner context

## Note

Different MPI processes may have different reasons or no reason, see `PCGetFailedReason()`. This routine makes them have a common value (failure if any MPI process had a failure).

## See Also

KSP: Linear System Solvers, `PC`, `PCCreate()`, `PCApply()`, `PCDestroy()`, `PCGetFailedReason()`, `PCSetFailedReason()`, `PCFailedReason`

## Level

advanced

## Location

src/ksp/pc/interface/precon.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages